# Payment Completion

## Groups/Channels

New Subscription Purchased or Renewal Payment done

```
curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw '{
   "Name": "Abhishek", 
    "Amount": 2, // In INR
    "offer_code": "Republic30", 
    "offer_id": "65aa4e1327f9931ac61d9fef",
    "offer_discount": null, 
    "Email": "app@rigi.club",
    "Phone": "+91123456789",
    "Product": "How To Crack Your First Five Clients",
    "Link of Product": "https://rpy.club/jcp/example-1",
    "Time": "Jan 19, 2024 10:36 AM",
    "ref_id": "order_NQRMSFjAj4kCm6",
    "event_type": "payment_success"
  }'
```

## Course/Cohort

```
curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Name": "Abhishek",
    "Amount": 2, // In INR
    "offer_code": "Republic30",
    "offer_id": "65aa4e1327f9931ac61d9fef",
    "offer_discount": null,
    "Email": "app@rigi.club",
    "Phone": "+91123456789",
    "Product": "How To Crack Your First Five Clients",
    "Link of Product": "https://rpy.club/cohort/exampl-1",
    "Time": "Jan 19, 2024 10:36 AM",
    "ref_id": "order_NQRMSFjAj4kCm6",
    "event_type": "payment_success"
  }'
```

### Webinar

```
curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw ' {
    "Name": "Arijit Gupta",
    "Amount": 123, // In INR
     "offer_code": "Republic30",
    "offer_id": "65aa4e1327f9931ac61d9fef",
    "offer_discount": null,
    "Email": "app@rigi.club",
    "Phone": "+91123456789",
    "Product": "Live Masterclass",
    "Link of Product": "https://rpy.club/webinar/example-1",
    "Time": "Jan 12, 2024 11:04 PM",
    "userWebinarLink": "NA",
    "ref_id": "order_NNsMrmVomu7MNO",
    "event_type": "payment_success"
  }'
```

### Locked Message

```
curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Name": "Swapnil",
    "Amount": 1, // In INR
    "offer_code": null,
    "offer_id": null,
    "offer_discount": null,
    "Email": "app@rigi.club",
    "Phone": "+91123456789",
    "Product": "",
    "Link of Product": "https://rpy.club/lm/example-1",
    "Time": "Jan 25, 2024 8:58 PM",
    "ref_id": "order_NSz9lhEd7lroiM",
    "event_type": "payment_success"
  }'
```

### Package

```
curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw ' {
    "Name": "Swapnil",
    "Amount": 40000, // In INR
    "offer_code": "Republic30",
    "offer_id": "65aa4e1327f9931ac61d9fef",
    "offer_discount": null,
    "Email": "app@rigi.club",
    "Phone": "+91123456799",
    "Product": "Diamond Certification",
    "Link of Product": "https://com.rpy.club/pdp/example-1",
    "Time": "Jan 13, 2024 7:12 AM",
    "ref_id": "order_NO0frPwltErJFI",
    "event_type": "payment_success"
   
  }'
```

### Cart payment

<pre><code>curl --location `${WEBHOOK_URL}` \
--header 'apikey: ${YOUR_API_KEY}' \
--header 'Content-Type: application/json' \
<strong>--data-raw ' {
</strong>    "Name": "SHIVA",
    "Amount": 52038,
    "offering_type": "Cart",
    "Phone": "+91123456799",
    "Email": "app@rigi.club",
    "event_type": "payment_success",
    "Time": "Dec 26, 2024 6:36 PM",
    "extra_details":{"type":"mag","linktok":"11939"},
    "Products": [
      {
        "name": "Offering 1",
        "offer_code": "ABCD",
        "offer_id": {
          "$oid": "65aa4e1327f9931ac61d9fef"
        },
        "offer_discount": 10,
        "amount": 52038,
        "group_id": "65aa4e1327f9931ac61d9fef"
      }
    ]
  }'
</code></pre>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rigi.club/webhooks/payment-completion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
